QGIS Application - Bug report #16008

maximum() function on an empty INT field returns -1.79769313486232e+308

2016-12-23 05:24 AM - Paolo Cavallini

Status: Closed
Priority: Normal
Assignee:

Category: Expressions

Affected QGIS version:2.18.2
Operating System: Debian
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23923

Description

It should return 0, probably; certainly not a decimal value.

Associated revisions

Revision 64f8b4db - 2016-12-27 12:55 AM - Nyall Dawson

Fix incorrect aggregate values returned for empty sets (fix #16008)

Now empty sets return NULL values for invalid statistics

Revision 651d1edc - 2017-01-11 04:01 AM - Nyall Dawson

Fix incorrect aggregate values returned for empty sets (fix #16008)

Now empty sets return NULL values for invalid statistics

(cherry-picked from 64f8b4)

History

#1 - 2016-12-23 05:32 AM - Andreas Neumann

you mean in case of an empty data set - no records?

| think it should return a NULL or undefined value, not O - or an error message.

0 is not automatically correct in all cases.

#2 - 2016-12-23 05:36 AM - Paolo Cavallini

Yes, no record.

#3 - 2016-12-26 03:52 PM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"64f8b4dbad2336ce765d8f3beaac1b085f54f03f".

2025-04-27 22



